It's all about the answers!

Ask a question

How to install RTC P2 on RedHat Linux?


Aaron Haynes (11) | asked Jan 25 '18, 5:13 a.m.

 I & my team was attempting to install RTC 6.0.4 into Eclipse Neon version 4.6.2 on a RedHat Linux machine.  I recieved a dependency error for teh International Components for Unicode for JAVA (ICU4J) where there is already an ICU installed, version 4.2.1.v20100412, but the RTC plugin has a dependency for ICU version 56.1.0.v201601250100.  The install is complaining that both of these ICUs can't be installed at the same time. 


I was puzzled as the users are attempting to do the installs on Virtual Machines that are created identically.  One user has been able to get 6.0.4 installed while another is running into this issue.
Does anyone know how to resolve this conflict? 

I also want to know how to install p2 for RSA on rehat linux? For both of issues I have many videos any contacted many experience persons in software development services but i can't figure out what to do. Then, I downloaded  the, p2 repository as indicated in step 4 although it appears to be the RTC client. I tried the steps 5 .. and when RSA is pointed at anything either the zip or the installed client there is nothing that it thinks is a suitable piece of software to install. Furthermore if I use the internal help for RSA it has the same basic steps  starting effectively at 4 in the jazz install help. from the RSA help window: "From https://jazz.net, download a "p2 Install" edition of a version of Client for Eclipse that is compatible with this version of Rational Software Architect" So my bottom line question is what and where is the ""p2 Install" edition of a Client for Eclipse"? 

Thanks,
Aaron.

One answer



permanent link
Donald Nong (14.3k213) | answered Jan 25 '18, 4:44 p.m.

Are you guys in the same team?
https://jazz.net/forum/questions/248523/can-anyone-offer-help-installing-rtc-p2-into-eclipse-on-redhat-linux

If you try to install RTC on top of RSA, you need to make sure it's compatible (it is in most cases).
http://www-01.ibm.com/support/docview.wss?uid=swg21279139

If you still face this problem, I suggest you contact IBM Support.

Your answer


Register or to post your answer.